Revoke an agreement
POST
/v1/tenant/{tenantKey}/agreement/{agreementKey}/revoke
const url = 'https://sender.api.kivra.com/v1/tenant/example/agreement/example/revoke';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '"example"'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sender.api.kivra.com/v1/tenant/example/agreement/example/revoke \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '"example"'Revoke an agreement. An agreement once revoked can no longer be accessed or signed by any of the parties. An agreement can only be rekoved if in state active, and after revoke will be put in state revoked. A revoked agreement can never become active again.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantKey
required
string format: hexadecimal
The unique Key for a Tenant
agreementKey
required
string format: hexadecimal
The unique Key for an Agreement
Request Body
Section titled “Request Body”Empty JSON body
Media typeapplication/json
Examplegenerated
exampleResponses
Section titled “Responses”Empty response confirming that the revoke operation was successful